Bug 1573476 - [DOCS] virt_use_fusefs selinux boolean missing for glusterFS prerequisites
Summary: [DOCS] virt_use_fusefs selinux boolean missing for glusterFS prerequisites
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Traci Morrison
QA Contact: Jianwei Hou
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 12:11 UTC by Alexis Solanas
Modified: 2018-07-12 18:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-12 18:48:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexis Solanas 2018-05-01 12:11:25 UTC
Document URL: 

  https://docs.openshift.com/container-platform/3.9/install_config/storage_examples/gluster_example.html


Section Number and Name: 

 Prerequisites


Describe the issue: 

 Only the selinux boolean virt_sandbox_use_fusefs is mentioned to be set, but virt_use_fusefs needs to be set too


Suggestions for improvement: 

 Add "$ sudo setsebool -P virt_use_fusefs on" 


Additional information: 

 For customers that use Atomic Host instead of RHEL, the selinux booleans are cleared upon version upgrades, forcing them to set them manually.  Failing to set both parameters will make the gluster volumes inaccessible.

 Bz#1537607 was created to address that issue, but until then, we need to tell customers that both booleans need to be enabled.

Comment 1 Traci Morrison 2018-06-26 18:01:45 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/10432

Does this update also apply to 3.1 - 3.7? I checked those docs, and the same information is found there.

Comment 2 Traci Morrison 2018-07-02 20:47:45 UTC
Bump. Please provide QE review for this PR. Thanks.

Comment 4 Traci Morrison 2018-07-12 18:48:02 UTC
Published for 3.9.


Note You need to log in before you can comment on or make changes to this bug.